## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celGameServerManager Member List

This is the complete list of members for celGameServerManager, including all inherited members.

AuthorizePlayer(celPlayer *player, csString &reason)=0 | celGameServerManager | `[pure virtual]`
HandleClientEvent(celPlayer *player, celClientEventType event_type, csTicks event_time, iCelDataBuffer *event_data)=0 | celGameServerManager | `[pure virtual]`
PersistenceProblem(celPlayer *player, iCelEntity *entity, iCelPropertyClass *pc, celPersistenceResult persist_code)=0 | celGameServerManager | `[pure virtual]`
PlayerNetworkStateChanged(celPlayer *player, celPlayerNetworkState new_state, celPlayerNetworkState previous_state)=0 | celGameServerManager | `[pure virtual]`
ServerEnd()=0 | celGameServerManager | `[pure virtual]`
ValidatePlayerUpdate(celPlayer *previous_player_data)=0 | celGameServerManager | `[pure virtual]`